<?php
class Update extends CI_Controller{
    
    function __construct()
    {
        parent::__construct();
        $this->load->model('Update_data');
    }
     
    public function up_about($a_id)
    {
        $this->Update_data->up_about($a_id);
        $this->session->set_flashdata('success_about_update','Data Update Successfully....');
        redirect('index.php/App/about','location');
    }
    public function up_slider($sid)
    {
        $this->Update_data->up_slider($sid);
        $this->session->set_flashdata('success_about_update','Data Update Successfully....');
        redirect('App/slider','location');
    }

    
    public function up_article($a_id)
    {
        $this->Update_data->up_article($a_id);
        $this->session->set_flashdata('update_blogs','Data Update Successfully....');
        redirect('index.php/app/article','location');
    }
     public function up_vission($p_id)
    {
        $this->Update_data->up_vission($p_id);
        $this->session->set_flashdata('success_vission_update','Data Update Successfully....');
        redirect('index.php/App/vission','location');
    }
      public function up_company($p_id)
    {
        $this->Update_data->up_company($p_id);
        $this->session->set_flashdata('success_company_update','Data Update Successfully....');
        redirect('index.php/App/company','location');
    }
    public function up_profile($c_id)
    {
        $this->Update_data->up_profile($c_id);
        $this->session->set_flashdata('success_profile_update','Data Update Successfully....');
        redirect('index.php/App/profile','location');
    }
     public function up_infra($in_id)
    {
        $this->Update_data->up_infra($in_id);
        $this->session->set_flashdata('update_infra','Data Update Successfully....');
        redirect('index.php/app/infra_s','location');
    }
    public function up_service($s_id)
    {
        $this->Update_data->up_service($s_id);
        $this->session->set_flashdata('success','Service Update Successfully....');
        redirect('index.php/app/service','location');
    }
    public function up_product($p_id)
    {
        $this->Update_data->up_product($p_id);
        $this->session->set_flashdata('update_product','Product Update Successfully....');
        redirect('index.php/app/products','location');
    }
       public function up_product_cat($pt_id)
    {
        $this->Update_data->up_product_cat($pt_id);
        $this->session->set_flashdata('update_product','Product Update Successfully....');
        redirect('index.php/app/product_category','location');
    }
    public function up_faq($id)
    {
        $this->Update_data->up_faq($id);
        $this->session->set_flashdata('success','Data Update Successfully....');
        redirect('index.php/app/faq','location');
    }
    public function up_pgallery($id)
    {
        $this->Update_data->up_pgallery($id);
        $this->session->set_flashdata('success','Data Update Successfully....');
        redirect('index.php/app/project_gallery','location');
    }
    public function up_consultancy($id)
    {
        $this->Update_data->up_consultancy($id);
        $this->session->set_flashdata('success','Data Update Successfully....');
        redirect('index.php/app/consultancy','location');
    }
    
}



